      PROGRAM XNUTATE
C
C     EXERCISE DRIVER FOR SUBROUTINE NUTATE.FOR
C
C     B. KNAPP, 1999-06-18, 2001-01-03
C
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      IMPLICIT NONE
C
      REAL*8 PI, R2S
      PARAMETER (PI=3.14159265358979324D0, R2S=3600.D0*180.D0/PI)
      REAL*8 JDE, T, DPSI, DEPS, DDPSI, DDEPS
C
    1 CONTINUE
      WRITE(*,'(/A$)') ' JDE (Dynamic Time)? '
      READ(*,*) JDE
      T = (JDE-2451545.D0)/365250.D0
      CALL NUTATE( T, DPSI, DEPS, DDPSI, DDEPS )
      WRITE(*,10) DPSI*R2S, DEPS*R2S, DDPSI*R2S, DDEPS*R2S
 10   FORMAT(1p,/'  DPSI: ',E16.6,/
     &           '  DEPS: ',E16.6,/
     &           ' DDPSI: ',E16.6,/
     &           ' DDEPS: ',E16.6,/) 
C
      GOTO 1
      END
